petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatCompositeSetType

Indicates if the matrix is defined as the sum of a set of matrices or the product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeSetType(Mat mat,MatCompositeType type)

Logically Collective on Mat

### Input Parameters

mat -the composite matrix

### See Also

MatDestroy(), MatMult(), MatCompositeAddMat(), MatCreateComposite(), MatCompositeGetType(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/tutorials/ex9.c.html

### Implementations

MatCompositeSetType_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages